> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truestate.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Filesystem Bin Folder



## OpenAPI

````yaml https://api.truestate.io/openapi.json get /filesystem/bin/{batch_id}/folders/{folder_id}/
openapi: 3.1.0
info:
  title: TrueState Backend API
  summary: >-
    TrueState is an AI platform for business users to create high-impact AI
    solutions.
  description: >

    This **[TrueState](https://www.truestate.io/)** backend API allows our
    clients to automate and more powerfully retrieve and modify data from the
    TrueState platform.


    Example use cases include:


    - Accessing embeddings for a dataset.

    - Automating the process of dataset creation and model retraining as your
    data changes.

    - Much more.


    Our backend is built using the [FastAPI](https://fastapi.tiangolo.com/)
    framework in python

    using [Auth0](https://auth0.com/) and [Client API
    Keys](https://www.truestate.io/dawn/docs) for internal an external
    authentication, respectively.

    Our backend is designed to be secure, scalable, easy to use and well
    documented _(each router with its own linked docs page)_.

    Clients can only access data from their own organisation, as setup in Auth0
    our the Client API Keys. See how
    **[here](https://www.truestate.io/dawn/docs)**.


    **PS**: You can view this API documentation in either
    **[Swagger](swagger/docs)** or **[Redoc](redoc/)**, but only the swagger
    lets you test calls.
  contact:
    name: True State Support
    url: https://www.truestate.io/dawn/docs
    email: support@truestate.io
  license:
    name: Private
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 0.13.95
servers: []
security: []
paths:
  /filesystem/bin/{batch_id}/folders/{folder_id}/:
    get:
      tags:
        - filesystem
      summary: Browse Filesystem Bin Folder
      operationId: >-
        browse_filesystem_bin_folder_filesystem_bin__batch_id__folders__folder_id___get
      parameters:
        - name: batch_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Batch Id
        - name: folder_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Folder Id
        - name: Api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FilesystemBinFolderRead'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    FilesystemBinFolderRead:
      properties:
        batch:
          $ref: '#/components/schemas/FilesystemBinBatchRead'
        folder:
          $ref: '#/components/schemas/FilesystemBinEntryRead'
        children:
          items:
            $ref: '#/components/schemas/FilesystemBinEntryRead'
          type: array
          title: Children
      type: object
      required:
        - batch
        - folder
        - children
      title: FilesystemBinFolderRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FilesystemBinBatchRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        child_type:
          type: string
          title: Child Type
        asset_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Asset Type
        status:
          type: string
          title: Status
        deleted_at:
          type: string
          format: date-time
          title: Deleted At
        deleted_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Deleted By
        purge_after:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Purge After
        purge_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Purge Requested At
        original_parent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Original Parent Id
        original_path_segments:
          items:
            type: string
          type: array
          title: Original Path Segments
        entry_count:
          type: integer
          title: Entry Count
        asset_count:
          type: integer
          title: Asset Count
        last_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Error
        root:
          anyOf:
            - $ref: '#/components/schemas/FilesystemBinEntryRead'
            - type: 'null'
        allowed_actions:
          $ref: '#/components/schemas/FilesystemBinAllowedActionsRead'
      type: object
      required:
        - id
        - name
        - child_type
        - status
        - deleted_at
        - entry_count
        - asset_count
        - allowed_actions
      title: FilesystemBinBatchRead
    FilesystemBinEntryRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        child_id:
          type: string
          format: uuid
          title: Child Id
        child_type:
          type: string
          title: Child Type
        asset_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Asset Type
        name:
          type: string
          title: Name
        parent_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Parent Id
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - child_id
        - child_type
        - name
      title: FilesystemBinEntryRead
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    FilesystemBinAllowedActionsRead:
      properties:
        restore:
          type: boolean
          title: Restore
          default: false
        purge:
          type: boolean
          title: Purge
          default: false
      type: object
      title: FilesystemBinAllowedActionsRead
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````